Subject: [Ietf-calsify] Small nit in draft-ietf-calsify-rfc2445bis-00.txt

From: cyrus at daboo.name (Cyrus Daboo)
Date: Wed Feb 1 07:03:29 2006

Hi Tim,

--On January 31, 2006 9:32:32 PM -0500 Tim Hare <[email-masked]> wrote:

> 6.  An implementation MAY truncate a "SUMMARY" property value to 255
>     characters.

This raises another issue I just spotted with the use of the terms 'octets' 
and 'characters'. The first thing to note is that a certain number of 
octets is not necessarily the same number of characters if non-ascii 
characters are present with utf-8 encoding. So in the above situation, a 
truncation at 255 characters could actually result in say 1024 octets if 
each character was a 4-octet utf-8 sequence. I suggest metioning this in 
Section 4 to clarify the use of 'octets' vs 'characters'. It may be worth 
adding an example to Section 5.3 showing non-ascii text being split on a 
proper character boundary.

-- 
Cyrus Daboo